## IdeSearchProvider IdeSearchProvider |

## Functions

void | ide_search_provider_search_async ()
GPtrArray * | ide_search_provider_search_finish ()

## Types and Values

#define | IDE_TYPE_SEARCH_PROVIDER
struct | IdeSearchProviderInterface
| IdeSearchProvider

## Object Hierarchy

        GInterface
        ╰── IdeSearchProvider

## Prerequisites

IdeSearchProvider requires IdeObject.

## Description

## Functions

### ide_search_provider_search_async ()

    void
    ide_search_provider_search_async (IdeSearchProvider *self,
                                      const gchar *query,
                                      guint max_results,
                                      GCancellable *cancellable,
                                      GAsyncReadyCallback callback,
                                      gpointer user_data);

### ide_search_provider_search_finish ()

    GPtrArray *
    ide_search_provider_search_finish (IdeSearchProvider *self,
                                       GAsyncResult *result,
                                       GError **error);

Completes a request to a search provider.

#### Parameters

self | a IdeSearchProvider |
result | a GAsyncResult |
error | a location for a GError, or `NULL` |

#### Returns

a GPtrArray of IdeSearchResult elements.

[transfer full][element-type IdeSearchResult]

Since: 3.32

## Types and Values

### IDE_TYPE_SEARCH_PROVIDER

    #define IDE_TYPE_SEARCH_PROVIDER (ide_search_provider_get_type())

### struct IdeSearchProviderInterface

    struct IdeSearchProviderInterface {
      GTypeInterface parent_interface;

      void       (*search_async)  (IdeSearchProvider    *self,
                                   const gchar          *query,
                                   guint                 max_results,
                                   GCancellable         *cancellable,
                                   GAsyncReadyCallback   callback,
                                   gpointer              user_data);
      GPtrArray *(*search_finish) (IdeSearchProvider    *self,
                                   GAsyncResult         *result,
                                   GError              **error);
    };

### IdeSearchProvider

    typedef struct _IdeSearchProvider IdeSearchProvider;